curl --request GET \
--url https://api.topsort.com/public/v1/catalog-search-service/catalogs/vendors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/catalog-search-service/catalogs/vendors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/catalog-search-service/catalogs/vendors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"response": [
{
"id": "9SiwYqqL8vdG",
"name": "Huyghe Brewery",
"imageURL": "https://cdn.example.com/logos/9SiwYqqL8vdG.jpg",
"vendor_role": "admin",
"merchant_center_id": 1456723,
"globalId": "vendor_group_123"
}
],
"nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Vendors
Get vendors.
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Query Parameters
Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.
Filter vendors by global vendor ID.
Response
Successful Response
Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.
Array of vendors. Can be empty when the catalog or requested page contains no vendors.
Show child attributes
Show child attributes
Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.
1"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
Was this page helpful?